const {request} = require("../request/index")

// 获取公告
export const getAnnounce = function(params) {
    return request({
        url: '/index/westreamAct/page',
        method: 'GET',
        data:params
    })
}
// 获取在线人数
export const getOnlive = function(params) {
    return request({
        url: '/westreamUser/onlineNum',
        method: 'GET',
        data:params
    })
}

// 获取河流全部数据
export const getRivers = function(params) {
    return request({
        url: '/stream/indexAll',
        method: 'GET',
        data:params
    })
}

// 上传美拍
export const uploadBeauty = function(data) {
    return request({
        url: '/index/westreamScenery/submit',
        method: 'POST',
        data
    })
}

// 领取积分
export const getPoint = function(data) {
    return request({
        url: '/userPoints/receive',
        method: 'POST',
        data
    })
}

